Packages - Freedom Issue #1526

kdevplatform replaced by kdevelop which requires qt5-webengine
2017-11-14 03:01 PM - bill-auger

Status: fixed % Done: 100%
Priority: bug

Assignee: oaken-source

Category:

Description

# pacman -Syu

:: Starting full system upgrade...
Replace kdevplatform with extra/kdevelop? [Y/n]
resolving dependencies...
warning: cannot resolve "gt5-webengine", a dependency of "kdevelop"
The following package cannot be upgraded due to unresolvable dependencies:
kdevelop

Do you want to skip the above package for this upgrade? [y/N] N
error: failed to prepare transaction (could not satisfy dependencies)
kdevelop: requires gt5-webengine

'kdevplatform' depends on 'qt5-webkit' but has apparently been deprecated or otherwise replaced with 'kdevelop' which depends on
the blacklisted 'qt5-webengine'

Related issues:

Related to Packages - Freedom Issue #1167: [chromium][electron][gt5-webengine... confirmed
Related to Packages - Bug #1530: [kdevelop] broken dependencies not-a-bug 2017-11-17
History

#1 - 2017-11-14 03:02 PM - bill-auger

- Related to Freedom Issue #1167: [chromium][electron][qt5-webengine][qt6-webengine] QTWebgine/Electron embeds "entire Chromium platform"
added

#2 - 2017-11-17 08:49 PM - bill-auger
- Related to Bug #1530: [kdevelop] broken dependencies added

#3 - 2017-11-17 08:49 PM - bill-auger
- Related to Bug #1530: [kdevelop] broken dependencies added

#4 - 2017-11-17 08:51 PM - bill-auger
- Related to deleted (Bug #1530: [kdevelop] broken dependencies)

#5 - 2018-01-17 07:03 PM - oaken-source
- % Done changed from 0 to 100
- Assignee set to oaken-source

- Status changed from open to fixed

| added kdevelop to the blacklist and created a liberated PKGBUILD in libre. expect builds to arrive in the repos tomorrow.
